PHP Manual
Prev |  | Next

# floor

(PHP 3, PHP 4, PHP 5)

floor -- Round fractions down

## Description

float floor ( float value )

Returns the next lowest integer value by rounding down `value` if necessary.

## Parameters

`number`

  The numeric value to round

## Return Values

`arg` rounded to the next lowest integer. The return value of floor() is still of type float because the value range of float is usually bigger than that of integer.

## Examples

Example 1. floor() example

`<?php echo floor(4.3); // 4 echo floor(9.999); // 9 echo floor(-3.14); // -4 ?>`

## See Also

ceil()
round()

Prev | Home | Next
expm1 | Up | fmod